/*
 * 
 * Lesson 17 Challenge
 * 
 * Write a "Guess My Number" program that 
 * allows users to continually guess at a number
 * randomly chosen by your program untilthey get it,
 * or until they give up.
 * 
 * You may determine how your program decides to choose the number
 * 
 * You may decide what kind of input is necessary for them to give up
 * 
 * Adivce:
 * First, get it working with small numbers like between 1 and 10
 * 
 * Once you get it working, add complexity by choosing larger numbers
 * or allowing the user to enter the limits of the random number
 * 
 * If you get that working, consider letting the user know that they are either 
 * too high or too low
 * 
 * Sample Run:
 *    Welcome to "Guess My Number!"
 *    I'm thinking of a number between 1 and 10.
 *    What do you think it is?
 * 
 *    4
 * 
 *    Nope! Try again!
 * 
 *    7
 * 
 *    Nope! Try again!
 * 
 *    5
 * 
 *    You got it!
 * 
 */

import java.util.Scanner;

public class GuessMyNumber {
  
  public static void main(String[] args){
    
    Scanner scan = new Scanner(System.in);
    
    //Secret random number
    int theNumber;

    //User's guess
    int guess;

    //Counter for number of guesses
    int numGuess = 1;

    //User will enter highest number of range 1 to upperLimit
    int upperLimit;

    //Too high or too low
    String hiLow = "";
    
    System.out.println("Welcome to \"Guess My Number!\"");
    
    //Prompt for upper limit of range
    System.out.println("First, what would you like the upper limit to be?");
    
    upperLimit = scan.nextInt();
    
    System.out.println("Great! Thanks!\nI'm thinking of a number between 1 and " + upperLimit + ".");
    
    //Prompt for guess
    System.out.println("What do you think it is?");   
    

    //Create random number - assign to theNumber
    theNumber = (int)(Math.random() * upperLimit) + 1;
    
    //User input of guess
    guess = scan.nextInt();
    

    //While loop to continue guesses till correct
    while(guess != theNumber){
      //increment counter for guesses
      numGuess++;

      //Set the value of hiLow for message later
      if(guess > theNumber){
        hiLow = "Too high!";
      }
      else {
        hiLow = "Too Low!";
      }

      //Tell the user if they were high or low and guess again
      System.out.println("\nNope! " + hiLow + " Try again!");

      //Get new guess from user
      guess = scan.nextInt();

    }//End of while-loop
    


    System.out.println("You got it!");
    
    //Tell the user number of guesses, check count for proper English
    if(numGuess == 1){
      System.out.println("It only took you " + numGuess + " guess!");
      
    } 
    else {
      System.out.println("It only took you " + numGuess + " guesses!");
    }
    
    
  }
}